#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC1,0x6E,0x60,0x70,0xA3,0xAC,0x1B,0x90,0x39,0xF1,0x2E,0xF4,
		0xB1,0x29,0x38,0x47,0x1B,0x7A,0xA1,0x85,0xF5,0xD8,0x34,0xCB,
		0x54,0x3D,0x08,0x2D,0x1E,0xE0,0x29,0x31,0x47,0xA8,0xDE,0xE1,
		0xA2,0xAD,0x7C,0x54,0x86,0xA5,0x78,0xCA,0xD6,0x0A,0x1A,0xBF,
		0x64,0x6E,0xC3,0x58,0x6F,0x7A,0x5E,0x1E,0xD9,0x9A,0x09,0x46,
		0xC8,0x41,0xAA,0x9B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
